tagMacro Struct Reference

Macros to be defined from per-header tag values. More...

## Data Fields

const char * | macroname
rpmTag | tag

## Detailed Description

Macros to be defined from per-header tag values.

Todo:
  Should other macros be added from header when installing a package?

Definition at line 20 of file hdrNVR.c.

## Field Documentation

const char* tagMacro::macroname

Macro name to define.

Definition at line 22 of file hdrNVR.c.

Referenced by headerMacrosLoad(), and headerMacrosUnload().

rpmTag tagMacro::tag

Header tag to use for value.

Definition at line 23 of file hdrNVR.c.

Referenced by headerMacrosLoad(), and headerMacrosUnload().

The documentation for this struct was generated from the following file:

- rpmdb/hdrNVR.c